## net.i2p.client.naming
Class PetNameDB

    java.lang.Object
      net.i2p.client.naming.PetNameDB

    public class PetNameDB

extends java.lang.Object

Constructor Summary
`PetNameDB()`

Method Summary
`void` `add(PetName pn)`
`void` `clear()`
`boolean` `contains(PetName pn)`
`boolean` `containsName(java.lang.String name)`
`PetName` `getByLocation(java.lang.String location)`
`PetName` `getByName(java.lang.String name)`
`java.util.List` `getGroups()`
`java.util.Set` `getNames()`
`boolean` `isEmpty()`
`java.util.Iterator` `iterator()`
`void` `load(java.lang.String location)`
`void` `remove(PetName pn)`
`void` `removeName(java.lang.String name)`
`int` `size()`
`void` `store()`
`void` `store(java.lang.String location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PetNameDB

    public PetNameDB()

Method Detail

### getByName

    public PetName getByName(java.lang.String name)

### add

    public void add(PetName pn)

### clear

    public void clear()

### contains

    public boolean contains(PetName pn)

### containsName

    public boolean containsName(java.lang.String name)

### isEmpty

    public boolean isEmpty()

### iterator

    public java.util.Iterator iterator()

### remove

    public void remove(PetName pn)

### removeName

    public void removeName(java.lang.String name)

### size

    public int size()

### getNames

    public java.util.Set getNames()

### getGroups

    public java.util.List getGroups()

### getByLocation

    public PetName getByLocation(java.lang.String location)

### load

    public void load(java.lang.String location)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### store

    public void store(java.lang.String location)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### store

    public void store()
               throws java.io.IOException

  Throws:
    `java.io.IOException`